import { Todo } from "@src/core/entities/todo";
import { TodoItem } from "@src/components/todos/todoItem";
import { AddTodo } from "@src/components/todos/addTodo";
import { useUpdateTodo } from "@src/presentation/hooks/socketHooks";

export const TodoList = (props: {
  todos: Todo[];
  hideDone: boolean;
  hideProject: boolean;
  project: string;
}) => {
  const { updateTodo } = useUpdateTodo();

  return (
    <>
      <ul id="inbox">
        {props.todos
          .filter((t) => {
            if (!props.hideDone) return true;

            return t.status == false;
          })
          .sort((a, b) => a.created - b.created)
          .map((t, i) => (
            <li key={i}>
              <TodoItem
                todo={t}
                updateTodo={(todo) => {
                  updateTodo(todo);
                }}
                displayProject={!props.hideProject}
              />
            </li>
          ))}
      </ul>
      <AddTodo project={props.project} />
    </>
  );
};
